using Domain.Entities;
using Domain.Generics;

namespace Core.Interfaces.Stock
{
    public interface ILSProductDivisionDom
    {
        Task<PagedResult<ELSProductDivision>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<ELSProductDivision?> GetByIdAsync(int id);
        Task<PagedResult<ELSProductDivision>> SearchAsync(string? term, int page = 1, int pageSize = 50);
        Task<ELSProductDivision> CreateAsync(ELSProductDivision entity);
        Task<bool> UpdateAsync(ELSProductDivision entity);
        Task<bool> DeleteAsync(int id);
    }
}
